%define real_name Crypt-RC6

Summary:	Crypt-RC6 module for perl 
Name:		perl-%{real_name}
Version:	1.0
Release:	%mkrel 10
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a perl module which implements a Crypt::CBC compliant 
RC6 block cipher encryption module.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{perl_vendorlib}/*/Crypt/RC6.pm
%{perl_vendorlib}/*/auto/Crypt/RC6
%{_mandir}/*/*






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0-10.mga3
+ Revision: 364943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0-9.mga3
+ Revision: 250412
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.0-8.mga2
+ Revision: 103856
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.0-7.mga1
+ Revision: 10461
- imported package perl-Crypt-RC6

